@import url('https://fonts.googleapis.com/css2?family=Montserrat&display=swap');

* {
  margin: 0;
  border: 0;
  box-sizing: border-box;
  padding: 0;
}

#app {
  display: grid;
  place-items: center;
  gap: 1em;
  font-family: 'Montserrat', sans-serif;
  font-size: 20px;
  text-align: center;
}

header {
  height: calc(70px - 1em);
}

main {
  width: clamp(0px, 500px, 95vw);
  display: grid;
  place-items: center;
  gap: 1em;
}

main .answers {
  display: grid;
  grid-template-columns: repeat(5, calc(((100vh - 120px) / 2 / 5) - 1em / 4));
  gap: 5px;
}

main .answers .input {
  aspect-ratio: 1/1;
  border: 2px solid lightgray;
  border-radius: .2em;
  display: grid;
  place-items: center;
  text-align: center;
  text-transform: capitalize;
  outline: none;
  transition: 400ms;
}

main .answers .input-focus {
  border: 2px solid lightblue;
  box-shadow: 0 5px 5px lightgray;
}

main .answers .green {
  border: none;
  background: mediumseagreen;
  color: white;
  font-weight: bold;
}

main .answers .yellow {
  border: none;
  background: gold;
  color: white;
  font-weight: bold;
}

main .answers .grey {
  border: none;
  background: grey;
  color: white;
  font-weight: bold;
}

main .result {
  z-index: 1;
  display: grid;
  width: clamp(0px, 500px, 90vw);
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  border-radius: .5em;
  padding: 12vh 1em;
  background: white;
  place-items: center;
  gap: 1.5em;
  box-shadow: 0 1em 5em lightgray;
  transition: 400ms;
  opacity: 0;
  pointer-events: none;
}

main .result-display {
  opacity: 1;
  pointer-events: auto;
}

main .result h2 {
  font-size: 45px;
}

main .result-win h2 {
  color: mediumseagreen;
}

main .result-lost h2 {
  color: red;
}

main .result div {
  display: grid;
  gap: .5em;
}

main .result button {
  width: 80%;
  height: 60px;
  border-radius: .5em;
  color: white;
  font-weight: bold;
  font-size: 20px;
  transition: 400ms;
  box-shadow: 0 5px .5em lightgray;
}

main .result-won button {
  background: mediumseagreen;
}

main .result-won button:hover {
  background: darkgreen;
}

main .result-lost button {
  background: red;
}

main .result-lost button:hover {
  background: darkred;
}

main .keyboard {
  display: grid;
  gap: .2em;
}



main .keyboard div {
  width: clamp(0px, 500px, 95vw);
  height: calc(((100vh - 120px) / 2 / 3) - 1em / 2);
  display: flex;
  justify-content: center;
  gap: .2em;
}

main .keyboard div button {
  width: calc(10% - .2em);
  aspect-ratio: 1/1.5;
  background: lightgray;
  text-transform: capitalize;
  border-radius: .2em;
  transition: 400ms;
  box-shadow: 0 0 1px white;
}

main .keyboard div button:hover,
main .keyboard div button:active {
  background: #444;
  color: white;
  box-shadow: 0 5px 5px lightgray;
  font-weight: bold;
}

main .keyboard div #key-enter,
main .keyboard div #key-backspace {
  width: calc(15% - .2em);
  aspect-ratio: 1;
}

main .keyboard div .disabled {
  pointer-events: none;
  opacity: .5;
}

main .keyboard div .green {
  background: mediumseagreen;
  color: white;
}

main .keyboard div .yellow {
  background: gold;
  color: white;
}

main .keyboard div .grey {
  background: grey;
  color: white;
}

footer {
  height: calc(50px - 1em);
  display: grid;
  place-items: center;
}

@media only screen and (max-width: 400px) {
  main .answers {
    grid-template-columns: repeat(5, calc(((100vh - 120px) / 2 / 5) - 1em / 4 - 12px));
  }

  main .keyboard div {
    height: calc(((100vh - 120px) / 2 / 3) - 1em / 2 - 12px);
  }
}